# Uses of Class
jebl.evolution.sequences.State

Packages that use State
Package
Description
jebl.evolution.alignments
jebl.evolution.parsimony
jebl.evolution.sequences

## Uses of State in jebl.evolution.alignments

Methods in jebl.evolution.alignments that return State
Modifier and Type
Method
Description
`static State[]`
ConsensusSequence.`constructConsensus(Alignment source, boolean includeAmbiguities)`
`State`
Pattern.`getMostFrequentState()`
Returns the most frequent state in this pattern
`State`
Pattern.`getMostFrequentState(boolean includeAmbiguous)`
Returns the most frequent state in this pattern, optionally including ambiguous states
`State`
ConsensusSequence.`getState(int site)`
`State`
Pattern.`getState(int index)`
Get the state for the ith taxon
`State[]`
ConsensusSequence.`getStates()`
Methods in jebl.evolution.alignments that return types with arguments of type State
Modifier and Type
Method
Description
`List<State>`
Pattern.`getStates()`
`Set<State>`
Pattern.`getStateSet()`
Methods in jebl.evolution.alignments with parameters of type State
Modifier and Type
Method
Description
`int`
Pattern.`getStateCount(State state)`
Returns the count of the given state in this pattern
`double`
Pattern.`getStateFrequency(State state)`
Returns the frequent of the given state in this pattern

## Uses of State in jebl.evolution.parsimony

Methods in jebl.evolution.parsimony that return State
Modifier and Type
Method
Description
`State[]`
FitchParsimony.`getStates(Tree tree, Node node)`
Returns the reconstructed character states for a given node in the tree.
`State[]`
ParsimonyCriterion.`getStates(Tree tree, Node node)`
Returns the reconstructed character states for a given node in the tree.

## Uses of State in jebl.evolution.sequences

Subclasses of State in jebl.evolution.sequences
Modifier and Type
Class
Description
`final class`
`AminoAcidState`
`final class`
`CodonState`
As of 2007-07-30, instances of this class are only constructed for non-ambigous nucleotide triplets - see `Codons`.
`final class`
`NucleotideState`
Methods in jebl.evolution.sequences that return State
Modifier and Type
Method
Description
`static State[]`
Utils.`cleanSequence(CharSequence seq, SequenceType type)`
Produce a clean sequence filtered of spaces and digits.
`State`
SequenceType.`getGapState()`
Get state corresponding to a gap
`State`
BasicSequence.`getState(int site)`
`State`
CanonicalSequence.`getState(int site)`
`State`
CodonSequence.`getState(int site)`
`State`
FilteredSequence.`getState(int site)`
`State`
Sequence.`getState(int site)`
`State`
SequenceType.`getState(char code)`
Get state whose code is the one-character string consisting only of code.
`State`
SequenceType.`getState(int index)`
Get state corresponding to a state index
`State`
SequenceType.`getState(String code)`
Get state corresponding to a string code
`State[]`
BasicSequence.`getStates()`
`State[]`
CanonicalSequence.`getStates()`
`State[]`
CodonSequence.`getStates()`
`State[]`
FilteredSequence.`getStates()`
`State[]`
Sequence.`getStates()`
`State`
SequenceType.`getUnknownState()`
Get state corresponding to an unknown
`static State[]`
Utils.`replaceStates(State[] sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static State[]`
Utils.`reverse(State[] sequence)`
`static State[]`
Utils.`stripGaps(State[] sequence)`
Strips a sequence of gaps
`static State[]`
Utils.`stripStates(State[] sequence, List<State> stripStates)`
Strips a sequence of any states given
`State[]`
SequenceType.`toStateArray(byte[] indexArray)`
Converts an array of state indices into an array of State objects for this SequenceType
`State[]`
SequenceType.`toStateArray(String sequenceString)`
Converts a string of state codes into an array of State objects for this SequenceType
Methods in jebl.evolution.sequences that return types with arguments of type State
Modifier and Type
Method
Description
`static List<State>`
AminoAcids.`getCanonicalStates()`
`static List<State>`
Codons.`getCanonicalStates()`
`List<? extends State>`
SequenceType.`getCanonicalStates()`
Get a list of canonical states ordered by their indices.
`Set<State>`
State.`getCanonicalStates()`
`static List<State>`
Codons.`getStates()`
`static List<State>`
Nucleotides.`getStates()`
`List<? extends State>`
SequenceType.`getStates()`
Get a list of states ordered by their indices.
`Set<State>`
StateClassification.Default.`getStateSet(String setName)`
`Set<State>`
StateClassification.`getStateSet(String setName)`
Methods in jebl.evolution.sequences with parameters of type State
Modifier and Type
Method
Description
`double`
State.`fractionEqual(State other)`
Determine how much in common these potentially ambigous states have as a fraction between 0 and 1 2 non-ambiguous states will return 0.
`String`
StateClassification.Default.`getSetName(State state)`
`String`
StateClassification.`getSetName(State state)`
`static int`
Sequence.`getStateCount(Sequence sequence, State state)`
Counts the number of occurances of a state
`static byte[]`
Utils.`getStateIndices(State[] sequence)`
`static boolean`
Nucleotides.`isATstate(State state)`
`boolean`
SequenceType.`isGap(State state)`
`static boolean`
Nucleotides.`isGCstate(State state)`
`static boolean`
Nucleotides.`isPossibleTransition(State s1, State s2)`
`static boolean`
Nucleotides.`isPossibleTransversion(State s1, State s2)`
`static boolean`
Nucleotides.`isPurine(State state)`
`static boolean`
Nucleotides.`isPyrimidine(State state)`
`static boolean`
Nucleotides.`isTransition(State state1, State state2)`
`static boolean`
Nucleotides.`isTransversion(State state1, State state2)`
`boolean`
SequenceType.`isUnknown(State state)`
`boolean`
NucleotideState.`possiblyEqual(State other)`
`boolean`
State.`possiblyEqual(State other)`
`static Sequence`
Sequence.`replaceStates(Sequence sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static State[]`
Utils.`replaceStates(State[] sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static State[]`
Utils.`reverse(State[] sequence)`
`static State[]`
Utils.`stripGaps(State[] sequence)`
Strips a sequence of gaps
`static State[]`
Utils.`stripStates(State[] sequence, List<State> stripStates)`
Strips a sequence of any states given
`static CodonState[]`
Nucleotides.`toCodons(State[] states, int readingFrame)`
Convert an array of nucleotide states into an array of codon states
`static NucleotideState[]`
Codons.`toNucleotides(State[] states)`
`static String`
Utils.`toString(State[] states)`
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode, int readingFrame)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
Method parameters in jebl.evolution.sequences with type arguments of type State
Modifier and Type
Method
Description
`static Sequence`
Sequence.`replaceStates(Sequence sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static State[]`
Utils.`replaceStates(State[] sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static Sequence`
Sequence.`stripStates(Sequence sequence, List<State> stripStates)`
Strips a sequence of any states given
`static State[]`
Utils.`stripStates(State[] sequence, List<State> stripStates)`
Strips a sequence of any states given
`static Sequence`
Sequence.`trimSequence(Sequence sequence, List<State> trimStates)`
Constructors in jebl.evolution.sequences with parameters of type State
Modifier
Constructor
Description
``
`BasicSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`CanonicalSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`CodonSequence(Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`Default(String name, String[] setNames, State[][] stateSets)`